<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

include 'moduls/ini.php';
include 'moduls/connect.php';
include 'moduls/fun.php';

###############Если jad выключен##########
if($setup['jad_change'] == 0){
die('Not found');
}
###############Проверка переменных###############
$id = intval($_GET['id']);
###############Получаем инфу о файле###########
$d = mysql_fetch_row(mysql_query('SELECT TRIM(`path`) FROM `'.$setup['pref'].'files` WHERE `id` = '.$id.' LIMIT 1'));
$d2 = mysql_fetch_row(mysql_query('SELECT TRIM(`infolder`) FROM `'.$setup['pref'].'files` WHERE `id` = '.$id.' LIMIT 1'));


$path_info = mysql_fetch_array(mysql_query('SELECT `pas` FROM `'.$setup['pref'].'files` WHERE `path` LIKE "'.$d2[0].'%" AND `size` = 0;'));

		if ($path_info['pas']==1) //если закрыто по смс
	{
    $vhod=NULL;
    $smspas = mysql_fetch_row(mysql_query('SELECT (`time`) FROM `'.$setup['pref'].'smspas`  WHERE `pas` = '.$_COOKIE[ "smspas" ]));  //смотрим пас
    	if ($smspas[0] AND $smspas[0]>=$time) {            //если пароль верный,и срок действия не вышел.
      $vhod=1;
    }
    else header('Location: pay.php?id='.$id);
	}
	elseif ($path_info['pas']==2) //если закрыто по кликам
	{
      $vhod=NULL;
    $clickpas = mysql_fetch_row(mysql_query('SELECT (`time`) FROM `'.$setup['pref'].'clickpas`  WHERE `pas` = '.$_COOKIE[ "clickpas" ]));  //смотрим пас
    	if ($clickpas[0] AND $clickpas[0]>=$time) {            //если пароль верный,и срок действия не вышел.
      $vhod=1;
	}
	else header('Location: click.php?id='.$id.'&action=1');
  }
	else $vhod=1;
	
if(file_exists($d[0]) AND $vhod==1){
mysql_query('UPDATE `files` SET `loads`=`loads`+0, `timeload`='.$time.' WHERE `id`='.$id
);

$filesize = filesize($d[0]);

include 'moduls/pclzip.lib.php';

$zip = new PclZip($d[0]);
$content = $zip->extract(PCLZIP_OPT_BY_NAME,'META-INF/MANIFEST.MF',PCLZIP_OPT_EXTRACT_AS_STRING);

header('Content-type: text/vnd.sun.j2me.app-descriptor');
header('Content-Disposition: attachment; filename="'.basename($d[0]).'.jad";');

echo $content[0]['content']."\n".'MIDlet-Jar-Size: '.$filesize."\n".'MIDlet-Jar-URL: http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']).'/'.$d[0];
}
else{
print $hackmess;
}
?>